# JarArchiveEntry (Apache Commons Compress 1.13 API)

org.apache.commons.compress.archivers.jar

## Class JarArchiveEntry

- java.lang.Object
- - java.util.zip.ZipEntry
  - - org.apache.commons.compress.archivers.zip.ZipArchiveEntry
    - - org.apache.commons.compress.archivers.jar.JarArchiveEntry

- All Implemented Interfaces:
    Cloneable, ArchiveEntry

      public class JarArchiveEntry
      extends ZipArchiveEntry

  This class is not thread-safe
    (parent is not thread-safe)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CENATT`
    `static int` | `CENATX`
    `static int` | `CENCOM`
    `static int` | `CENCRC`
    `static int` | `CENDSK`
    `static int` | `CENEXT`
    `static int` | `CENFLG`
    `static int` | `CENHDR`
    `static int` | `CENHOW`
    `static int` | `CENLEN`
    `static int` | `CENNAM`
    `static int` | `CENOFF`
    `static long` | `CENSIG`
    `static int` | `CENSIZ`
    `static int` | `CENTIM`
    `static int` | `CENVEM`
    `static int` | `CENVER`
    `static int` | `ENDCOM`
    `static int` | `ENDHDR`
    `static int` | `ENDOFF`
    `static long` | `ENDSIG`
    `static int` | `ENDSIZ`
    `static int` | `ENDSUB`
    `static int` | `ENDTOT`
    `static int` | `EXTCRC`
    `static int` | `EXTHDR`
    `static int` | `EXTLEN`
    `static long` | `EXTSIG`
    `static int` | `EXTSIZ`
    `static int` | `LOCCRC`
    `static int` | `LOCEXT`
    `static int` | `LOCFLG`
    `static int` | `LOCHDR`
    `static int` | `LOCHOW`
    `static int` | `LOCLEN`
    `static int` | `LOCNAM`
    `static long` | `LOCSIG`
    `static int` | `LOCSIZ`
    `static int` | `LOCTIM`
    `static int` | `LOCVER`

    - ### Fields inherited from class org.apache.commons.compress.archivers.zip.ZipArchiveEntry

      `CRC_UNKNOWN, PLATFORM_FAT, PLATFORM_UNIX`

    - ### Fields inherited from class java.util.zip.ZipEntry

      `DEFLATED, STORED`

    - ### Fields inherited from interface org.apache.commons.compress.archivers.ArchiveEntry

      `SIZE_UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JarArchiveEntry(JarEntry entry)`
    `JarArchiveEntry(String name)`
    `JarArchiveEntry(ZipArchiveEntry entry)`
    `JarArchiveEntry(ZipEntry entry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Certificate[]` | `getCertificates()` Deprecated. since 1.5, not currently implemented
    `Attributes` | `getManifestAttributes()` Deprecated. since 1.5, do not use; always returns null

    - ### Methods inherited from class org.apache.commons.compress.archivers.zip.ZipArchiveEntry

      `addAsFirstExtraField, addExtraField, clone, equals, getCentralDirectoryExtra, getExternalAttributes, getExtraField, getExtraFields, getExtraFields, getGeneralPurposeBit, getInternalAttributes, getLastModifiedDate, getLocalFileDataExtra, getMethod, getName, getPlatform, getRawFlag, getRawName, getSize, getUnixMode, getUnparseableExtraFieldData, getVersionMadeBy, getVersionRequired, hashCode, isDirectory, isUnixSymlink, removeExtraField, removeUnparseableExtraFieldData, setCentralDirectoryExtra, setExternalAttributes, setExtra, setExtra, setExtraFields, setGeneralPurposeBit, setInternalAttributes, setMethod, setName, setName, setPlatform, setRawFlag, setSize, setUnixMode, setVersionMadeBy, setVersionRequired`

    - ### Methods inherited from class java.util.zip.ZipEntry

      `getComment, getCompressedSize, getCrc, getExtra, getTime, setComment, setCompressedSize, setCrc, setTime, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOCSIG

          public static final long LOCSIG

      See Also:
        Constant Field Values

    - #### EXTSIG

          public static final long EXTSIG

      See Also:
        Constant Field Values

    - #### CENSIG

          public static final long CENSIG

      See Also:
        Constant Field Values

    - #### ENDSIG

          public static final long ENDSIG

      See Also:
        Constant Field Values

    - #### LOCHDR

          public static final int LOCHDR

      See Also:
        Constant Field Values

    - #### EXTHDR

          public static final int EXTHDR

      See Also:
        Constant Field Values

    - #### CENHDR

          public static final int CENHDR

      See Also:
        Constant Field Values

    - #### ENDHDR

          public static final int ENDHDR

      See Also:
        Constant Field Values

    - #### LOCVER

          public static final int LOCVER

      See Also:
        Constant Field Values

    - #### LOCFLG

          public static final int LOCFLG

      See Also:
        Constant Field Values

    - #### LOCHOW

          public static final int LOCHOW

      See Also:
        Constant Field Values

    - #### LOCTIM

          public static final int LOCTIM

      See Also:
        Constant Field Values

    - #### LOCCRC

          public static final int LOCCRC

      See Also:
        Constant Field Values

    - #### LOCSIZ

          public static final int LOCSIZ

      See Also:
        Constant Field Values

    - #### LOCLEN

          public static final int LOCLEN

      See Also:
        Constant Field Values

    - #### LOCNAM

          public static final int LOCNAM

      See Also:
        Constant Field Values

    - #### LOCEXT

          public static final int LOCEXT

      See Also:
        Constant Field Values

    - #### EXTCRC

          public static final int EXTCRC

      See Also:
        Constant Field Values

    - #### EXTSIZ

          public static final int EXTSIZ

      See Also:
        Constant Field Values

    - #### EXTLEN

          public static final int EXTLEN

      See Also:
        Constant Field Values

    - #### CENVEM

          public static final int CENVEM

      See Also:
        Constant Field Values

    - #### CENVER

          public static final int CENVER

      See Also:
        Constant Field Values

    - #### CENFLG

          public static final int CENFLG

      See Also:
        Constant Field Values

    - #### CENHOW

          public static final int CENHOW

      See Also:
        Constant Field Values

    - #### CENTIM

          public static final int CENTIM

      See Also:
        Constant Field Values

    - #### CENCRC

          public static final int CENCRC

      See Also:
        Constant Field Values

    - #### CENSIZ

          public static final int CENSIZ

      See Also:
        Constant Field Values

    - #### CENLEN

          public static final int CENLEN

      See Also:
        Constant Field Values

    - #### CENNAM

          public static final int CENNAM

      See Also:
        Constant Field Values

    - #### CENEXT

          public static final int CENEXT

      See Also:
        Constant Field Values

    - #### CENCOM

          public static final int CENCOM

      See Also:
        Constant Field Values

    - #### CENDSK

          public static final int CENDSK

      See Also:
        Constant Field Values

    - #### CENATT

          public static final int CENATT

      See Also:
        Constant Field Values

    - #### CENATX

          public static final int CENATX

      See Also:
        Constant Field Values

    - #### CENOFF

          public static final int CENOFF

      See Also:
        Constant Field Values

    - #### ENDSUB

          public static final int ENDSUB

      See Also:
        Constant Field Values

    - #### ENDTOT

          public static final int ENDTOT

      See Also:
        Constant Field Values

    - #### ENDSIZ

          public static final int ENDSIZ

      See Also:
        Constant Field Values

    - #### ENDOFF

          public static final int ENDOFF

      See Also:
        Constant Field Values

    - #### ENDCOM

          public static final int ENDCOM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JarArchiveEntry

          public JarArchiveEntry(ZipEntry entry)
                          throws ZipException

      Throws:
        `ZipException`

    - #### JarArchiveEntry

          public JarArchiveEntry(String name)

    - #### JarArchiveEntry

          public JarArchiveEntry(ZipArchiveEntry entry)
                          throws ZipException

      Throws:
        `ZipException`

    - #### JarArchiveEntry

          public JarArchiveEntry(JarEntry entry)
                          throws ZipException

      Throws:
        `ZipException`

  - ### Method Detail

    - #### getManifestAttributes

          @Deprecated
          public Attributes getManifestAttributes()

      Deprecated. since 1.5, do not use; always returns null
      This method is not implemented and won't ever be. The JVM equivalent has a different name `JarEntry.getAttributes()`
      Returns:
        Always returns null.

    - #### getCertificates

          @Deprecated
          public Certificate[] getCertificates()

      Deprecated. since 1.5, not currently implemented
      Return a copy of the list of certificates or null if there are none.
      Returns:
        Always returns null in the current implementation

Copyright © 2016 The Apache Software Foundation. All rights reserved.